RTEMS: _GmacQueueDriver Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
_GmacQueueDriver Struct Reference
Board Support Packages » ARM » Atmel/Microchip SAM E70, S70, V70 and V71 » Contributed Code » Gmacd_module » GMAC Driver Types

`#include <gmacd.h>`

## Data Fields
uint8_t * | pTxBuffer
uint8_t * | pRxBuffer
sGmacRxDescriptor * | pRxD
sGmacTxDescriptor * | pTxD
fGmacdTransferCallback | fRxCb
fGmacdWakeupCallback | fWakupCb
fGmacdTransferCallback * | fTxCbList
fGmacdTxPtpEvtCallBack | fTxPtpEvtCb
uint16_t | wRxListSize
uint16_t | wRxI
uint16_t | wTxListSize
uint16_t | wTxHead
uint16_t | wTxTail
uint8_t | bWakeupThreshold
uint16_t | wTxBufferSize
uint16_t | wRxBufferSize

## Detailed Description

GMAC Queue driver.

## Field Documentation

## ◆ bWakeupThreshold

uint8_t _GmacQueueDriver::bWakeupThreshold

Number of free TD before wakeup callback is invoked

## ◆ fRxCb

fGmacdTransferCallback _GmacQueueDriver::fRxCb

Optional callback to be invoked once a frame has been received

## ◆ fTxCbList

fGmacdTransferCallback* _GmacQueueDriver::fTxCbList

Optional callback list to be invoked once TD has been processed

## ◆ fTxPtpEvtCb

fGmacdTxPtpEvtCallBack _GmacQueueDriver::fTxPtpEvtCb

Optional callback to be invoked on transmit of PTP Event messages

## ◆ fWakupCb

fGmacdWakeupCallback _GmacQueueDriver::fWakupCb

Optional callback to be invoked once several TD have been released

## ◆ pRxBuffer

uint8_t* _GmacQueueDriver::pRxBuffer

Pointer to allocated RX buffer

## ◆ pRxD

sGmacRxDescriptor* _GmacQueueDriver::pRxD

Pointer to Rx TDs (must be 8-byte aligned)

## ◆ pTxD

sGmacTxDescriptor* _GmacQueueDriver::pTxD

Pointer to Tx TDs (must be 8-byte aligned)

## ◆ wRxI

uint16_t _GmacQueueDriver::wRxI

RX index for current processing TD

## ◆ wRxListSize

uint16_t _GmacQueueDriver::wRxListSize

RX TD list size

## ◆ wTxBufferSize

uint16_t _GmacQueueDriver::wTxBufferSize

RX buffer size

## ◆ wTxHead

uint16_t _GmacQueueDriver::wTxHead

Circular buffer head pointer by upper layer (buffer to be sent)

## ◆ wTxListSize

uint16_t _GmacQueueDriver::wTxListSize

TX TD list size

## ◆ wTxTail

uint16_t _GmacQueueDriver::wTxTail

Circular buffer tail pointer incremented by handlers (buffer sent)

The documentation for this struct was generated from the following file:

- bsps/arm/atsam/include/libchip/include/gmacd.h